.calendar_view_heading {
  font-size: 24px;
  margin: 12px 0px 0px 0px;
}

.select_box {
  display: flex;
  gap: 10px;
}

.dropdown {
  display: flex;
  flex: 1;
  padding: 8px 8px 8px 8px;
  border-radius: 3px 3px 3px 3px;
  border: 1px solid #7e8293;
}

.main_content {
  margin: 0px 40px 0px 20px;
}
.search_button {
  border-radius: 3px 3px 3px 3px;
  padding: 8px 18px 8px 18px;
  background-color: #12406a;
  color: white;
  border: none;
  transition: .35s;
}
.search_button:hover{
  color: #12406A;
  background-color: white;
}
.subheading {
  margin: 24px 0px 0px 0px;
  font-weight: 200;
  font-size: 14px;
}
.left_view {
  background-color: #12406a;
  display: flex;
  padding: 8px;
  border-radius: 6px;
  flex-direction: column;
  flex: 1;
}

.right_view {
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  flex: 4;
  border-radius: 6px;
  padding: 8px;
}

.quick_calendar {
  margin: 32px 18px 10px 18px;
}

.quick_calendar_div {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.quick_days_div {
  display: flex;
  flex-direction: row;
  gap: 12px;
}
.below_part {
  display: flex;
  margin: 32px 0px 0px 0px;
  gap: 16px;
}

.quick_day {
  font-size: 12px;
  color: #71717a;
  display: flex;
  font-weight: 400;
}

.quick_date {
  color: white;
  font-size: 12px;
  height: 22px;
  width: 22px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.quick_date_disable {
  color: rgb(180, 180, 180);
  font-size: 12px;
  font-weight: 500;
  height: 22px;
  width: 22px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.quick_date_selected {
  background-color: #3b82f6;
  color: white;
  font-size: 12px;
  font-weight: 500;
  height: 22px;
  width: 22px;
  border-radius: 12px 12px 12px 12px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.quick_date_div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  font-weight: 500;
}

.date_div {
  display: flex;
  flex-direction: row;
  gap: 16px;
}

.quick_calendar_heading_div {
  display: flex;
  justify-content: space-between;
  margin: 0px 0px 16px 0px;
}

.left_month_name {
  color: white;
  font-size: 24px;
  font-weight: 400;
}

.right_month_name {
  color: black;
  font-size: 24px;
  font-weight: 600;
}

.calendar_box {
  display: flex;
  width: 100%;
  /* background-color: red; */
}

.day_box {
  display: flex;
  flex: 1;
  flex-direction: column;
  padding: 4px 0px 48px 8px;
  border-right: 1px solid #e2e2e2;
  border-bottom: 1px solid #e2e2e2;
  /* background-color:yellow; */
}
.invoice_day_box {
  display: flex;
  flex: 1;
  flex-direction: column;
  padding: 4px 0px 20px 8px;
  border-right: 1px solid #e2e2e2;
  border-left: 4px solid red;
  border-bottom: 1px solid #e2e2e2;
  background-color: #f5dede;
}

.invoice_day_box2 {
  display: flex;
  flex: 1;
  flex-direction: column;
  padding: 4px 0px 20px 8px;
  border-right: 1px solid #e2e2e2;
  border-left: 4px solid red;
  border-bottom: 1px solid #e2e2e2;
  background-color: #f5dede;
}
.week_box {
  display: flex;
  flex: 1;
  flex-direction: column;
  padding: 4px 0px 8px 8px;
  border-right: 1px solid #e2e2e2;
  border-bottom: 1px solid #e2e2e2;
  /* background-color:yellow; */
}

.full_calendar {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.day {
  font-size: 12px;
  color: #71717a;
  font-weight: 400;
}

.date {
  font-size: 24px;
}

.disable_date {
  font-size: 24px;
  color: #71717a;
}

/* .calendar_week_box {
} */

.invoice_name {
  color: rgb(39, 39, 39);
}
.invoice_link {
  color: red;
  text-decoration-line: underline;
}
.invoice_info {
  display: flex;
  flex-direction: column;
}

.invoice_info2 {
  display: flex;
  flex-direction: column;
}

.belowtable {
  display: flex;
  flex-direction: column;
  margin: 48px 0px 0px 0px;
}

.invoice_table {
  display: flex;
  flex-direction: row;
  background-color: #12406a;
  padding: 8px 0px 8px 0px;
  width: 1074px;
  /* justify-content: center; */
  align-items: center;
  border-radius: 8px 8px 0px 0px;
}

.invoice_table_items {
  display: flex;
  flex-direction: row;
  border-bottom: 1px solid #bfbfbf;
  border-left: 1px solid #bfbfbf;
  border-right: 1px solid #bfbfbf;

  padding: 8px 0px 8px 0px;
  width: 1072px;
  /* justify-content: center; */
  align-items: center;
}
.totaltableitemdiv {
  display: flex;
  flex-direction: row;
  /* background-color: #12406A; */
  padding: 8px 0px 8px 0px;
  width: 567px;
  /* justify-content: center; */
  align-items: center;
  border-bottom: 1px solid #bfbfbf;
  border-right: 1px solid #bfbfbf;
  border-left: 1px solid #bfbfbf;
}

.hrline {
  height: 24px;
  width: 1px;
  background-color: #bfbfbf;
}

.hrwhiteline {
  background-color: white;
  height: 28px;
  width: 1px;
}

.table_heading {
  width: 180px;
  justify-content: center;
  display: flex;
  color: white;
}

.table_data {
  width: 180px;
  justify-content: center;
  display: flex;
  color: black;
}
.cv-datepicker,.cv-select{
    min-height: 40px;
    border: 1px solid #12406a8c;
    border-radius: 2px;
    cursor: pointer;
    width: 22%;
}

.belowtable td.ant-table-cell {
    padding: 8px !important;
    border: 0px !important;
    border-bottom: 1px solid #80808047 !important;
    font-size: 12px;
    text-align: center;
}

.belowtable .ant-table-thead > tr > th{
    text-align: center !important;
}

.calendar-controls {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  padding: 10px 6px;
}
.calendar-controls :where(.SelectedDate) {
  font-size: 28px;
  font-weight: 600;
  font-family: arial;
  display: block;
  width: 100%;
  text-align: left;
}

.calendar-controls button {
  border: 1px solid transparent;
  padding: 4px 8px;
  border-radius: 6px;
  font-weight: 600;
  margin-right: 6px;
  transition: .35s;
  color: darkgray;
}

.calendar-controls button.activeMode{
  background: #bd2323;
  color: white;
}


.right_view .ant-radio-group.ant-radio-group-outline.ant-picker-calendar-mode-switch.css-dev-only-do-not-override-1ck3jst {
  display:none
}
.left_view .mini_calendar_date {
  color: white;
  font-size: 22px;
  margin-bottom: 5px;
}
.left_view .ant-radio-group.ant-radio-group-outline.ant-radio-group-small.ant-picker-calendar-mode-switch.css-dev-only-do-not-override-1ck3jst {
  display: none;
}
.left_view .ant-picker-calendar.ant-picker-calendar-mini.css-dev-only-do-not-override-1ck3jst,
.left_view .ant-picker-date-panel{
  background: #12406A;
  color: white;
}

.left_view table.ant-picker-content th ,.left_view .ant-picker-calendar-date-value {
  color: white !important;
}

.left_view table.ant-picker-content th {
  font-weight: 500 !important;
}

.left_view :where(.css-dev-only-do-not-override-1ck3jst).ant-select:not(.ant-select-customize-input) .ant-select-selector {
  background: #6a7693;
  border: 0;
  border-radius: 5px !important;
}

.left_view :where(.css-dev-only-do-not-override-1ck3jst).ant-picker-calendar-mini .ant-picker-calendar-header {
  padding-inline: 0;
}

.right_view .ant-picker-cell-today {
  background: #B4EDFF;
}

.right_view .ant-picker-cell-inner.ant-picker-calendar-date.ant-picker-calendar-date-today {
  margin: 0;
  padding-inline: 8px;
}

.right_view .ant-picker-cell-selected .ant-picker-cell-inner.ant-picker-calendar-date  {
  background: #8EEF8C !important;
}

.lengthCount {
  color: #12406a;
  font-weight: 600;
  margin-top: 16px;
}

.ant-popover-inner-content {
  position: relative;
}

a.close_btn {
  position: absolute;
  top: -30px;
  right: 10px;
  text-decoration: none;
  font-size: 17px;
  font-family: arial;
  font-weight: 500;
  transition:0.35s;
}

a.close_btn:hover{
  transform: rotate(180deg);
  color:red
}

.popoverTable tr td{
  padding: 3px 4px !important;
  text-align: center;
  border: 3px solid lightgray;
  border-collapse: collapse;
}

.right_view .ant-picker-calendar-header,
.left_view .ant-picker-calendar-header  {
  pointer-events: none;
}

.left_view .ant-picker-calendar-header {
  background: #12406a;
  padding-inline: 0;
}

.left_view .ant-picker-calendar-header .ant-radio-group.ant-radio-group-outline.ant-radio-group-small,
.right_view .ant-radio-group.ant-radio-group-outline.ant-picker-calendar-mode-switch{
  display: none;
}


.left_view .ant-picker-calendar-header .ant-select.ant-select-sm .ant-select-selector {
  background: #abaaaa !important;
  border: 0px;
  border-radius: 5px !important; 
}